Package com.xebialabs.xlrelease.events

# Class FolderVariableUpdateOperation

java.lang.Object
com.xebialabs.xlrelease.events.FolderVariableUpdateOperation

All Implemented Interfaces:
  `VariableUpdateOperation`, `XLReleaseOperation`, `Serializable`, `scala.Equals`, `scala.Product`

public class FolderVariableUpdateOperation extends Object implements VariableUpdateOperation, scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FolderVariableUpdateOperation(Variable original, Variable updated, String taskId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `scala.runtime.Null$`
  `action()`
  `static FolderVariableUpdateOperation`
  `apply(Variable original, Variable updated, String taskId)`
  `boolean`
  `canEqual(Object x$1)`
  `FolderVariableUpdateOperation`
  `copy(Variable original, Variable updated, String taskId)`
  `Variable`
  `copy$default$1()`
  `Variable`
  `copy$default$2()`
  `String`
  `copy$default$3()`
  `boolean`
  `equals(Object x$1)`
  `FolderVariableUpdatedEvent`
  `event()`
  `int`
  `hashCode()`
  `Variable`
  `original()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `taskId()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple3<Variable,Variable,String>>`
  `unapply(FolderVariableUpdateOperation x$0)`
  `Variable`
  `updated()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### FolderVariableUpdateOperation

    public FolderVariableUpdateOperation(Variable original, Variable updated, String taskId)

- ## Method Details

  - ### apply

    public static FolderVariableUpdateOperation apply(Variable original, Variable updated, String taskId)

  - ### unapply

    public static scala.Option<scala.Tuple3<Variable,Variable,String>> unapply(FolderVariableUpdateOperation x$0)

  - ### original

    public Variable original()

  - ### updated

    public Variable updated()

  - ### taskId

    public String taskId()

  - ### action

    public scala.runtime.Null$ action()
    Specified by:
      `action` in interface `XLReleaseOperation`

  - ### event

    public FolderVariableUpdatedEvent event()
    Specified by:
      `event` in interface `XLReleaseOperation`

  - ### copy

    public FolderVariableUpdateOperation copy(Variable original, Variable updated, String taskId)

  - ### copy$default$1

    public Variable copy$default$1()

  - ### copy$default$2

    public Variable copy$default$2()

  - ### copy$default$3

    public String copy$default$3()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`